diff -urN --exclude-from=exclude-file ORIG/dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/Makefile.am dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/Makefile.am
--- ORIG/dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/Makefile.am	2010-01-12 09:47:03.000000000 +0000
+++ dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/Makefile.am	2010-02-05 07:20:33.000000000 +0000
@@ -4,6 +4,8 @@
 	-I$(top_srcdir)/src/lib-sieve \
 	-I$(dovecot_incdir) \
 	-I$(dovecot_incdir)/src/lib \
+	-I$(dovecot_incdir)/src/lib-settings \
+	-I$(dovecot_incdir)/src/lib-ldap \
 	-I$(dovecot_incdir)/src/lib-dict \
 	-I$(dovecot_incdir)/src/lib-mail \
 	-I$(dovecot_incdir)/src/lib-index \
diff -urN --exclude-from=exclude-file ORIG/dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/sieve-tool.c dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/sieve-tool.c
--- ORIG/dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/sieve-tool.c	2010-01-12 09:47:03.000000000 +0000
+++ dovecot-1.2-sieve-0.1.15/src/lib-sieve-tool/sieve-tool.c	2010-02-05 07:20:33.000000000 +0000
@@ -8,6 +8,7 @@
 #include "ostream.h"
 #include "hostpid.h"
 #include "dict.h"
+#include "dict-ldap.h"
 #include "mail-storage.h"
 
 #include "sieve.h"
@@ -88,6 +89,7 @@
 	lib_signals_ignore(SIGALRM, FALSE);
 
 	dict_drivers_register_builtin();
+	dict_ldap_register();
 }
 
 void sieve_tool_sieve_init(const struct sieve_environment *env)
@@ -101,7 +103,8 @@
 void sieve_tool_deinit(void)
 {
 	sieve_deinit(&sieve_instance);
-	
+
+	dict_ldap_unregister();
 	dict_drivers_unregister_builtin();
 
 	lib_signals_deinit();
diff -urN --exclude-from=exclude-file ORIG/dovecot-1.2-sieve-0.1.15/src/sieve-tools/Makefile.am dovecot-1.2-sieve-0.1.15/src/sieve-tools/Makefile.am
--- ORIG/dovecot-1.2-sieve-0.1.15/src/sieve-tools/Makefile.am	2010-01-12 09:47:03.000000000 +0000
+++ dovecot-1.2-sieve-0.1.15/src/sieve-tools/Makefile.am	2010-02-05 07:20:33.000000000 +0000
@@ -17,6 +17,8 @@
 	-I$(dovecot_incdir)/src/lib-dict \
 	-I$(dovecot_incdir)/src/lib-mail \
 	-I$(dovecot_incdir)/src/lib-index \
+	-I$(dovecot_incdir)/src/lib-ldap \
+	-I$(dovecot_incdir)/src/lib-settings \
 	-I$(dovecot_incdir)/src/lib-storage \
 	-I$(dovecot_incdir)/src/deliver
 
@@ -24,7 +26,11 @@
 	$(top_srcdir)/src/lib-sieve/libsieve.la \
 	$(top_srcdir)/src/lib-sieve-tool/libsieve-tool.la \
 	./debug/libsieve_ext_debug.la \
-    $(dovecot_incdir)/src/lib-dict/libdict.a \
+	$(dovecot_incdir)/src/lib-dict/libdict.a \
+	$(dovecot_incdir)/src/lib-dict/libdict_backend.a \
+	$(dovecot_incdir)/src/lib-ldap/libldap.a \
+	$(dovecot_incdir)/src/lib-settings/libsettings.a \
+	$(dovecot_incdir)/src/lib/liblib.a \
 	$(STORAGE_LIBS) 
 
 unused_objects = \
diff -urN --exclude-from=exclude-file ORIG/dovecot-1.2-sieve-0.1.15/src/testsuite/Makefile.am dovecot-1.2-sieve-0.1.15/src/testsuite/Makefile.am
--- ORIG/dovecot-1.2-sieve-0.1.15/src/testsuite/Makefile.am	2010-01-12 09:47:03.000000000 +0000
+++ dovecot-1.2-sieve-0.1.15/src/testsuite/Makefile.am	2010-02-05 07:20:33.000000000 +0000
@@ -8,6 +8,7 @@
 	-I$(dovecot_incdir)/src/lib-dict \
 	-I$(dovecot_incdir)/src/lib-mail \
 	-I$(dovecot_incdir)/src/lib-index \
+	-I$(dovecot_incdir)/src/lib-settings \
 	-I$(dovecot_incdir)/src/lib-storage
 
 testsuite_LDFLAGS = -export-dynamic
@@ -16,6 +17,10 @@
 	$(top_srcdir)/src/lib-sieve/libsieve.la \
 	$(top_srcdir)/src/lib-sieve-tool/libsieve-tool.la \
 	$(dovecot_incdir)/src/lib-dict/libdict.a \
+	$(dovecot_incdir)/src/lib-dict/libdict_backend.a \
+	$(dovecot_incdir)/src/lib-ldap/libldap.a \
+	$(dovecot_incdir)/src/lib-settings/libsettings.a \
+	$(dovecot_incdir)/src/lib/liblib.a \
 	$(STORAGE_LIBS)
 
 unused_objects = \
